AquaMapsPortletLocalServiceAsync (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.client.rpc

## Interface AquaMapsPortletLocalServiceAsync

-     public interface AquaMapsPortletLocalServiceAsync

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAllFilteredSpecies(int totalCount, String sortColumn, String sortDir, com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)`
    `void` | `addToObjectBasket(List<String> speciesIds, String objTitle, com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)`
    `void` | `addToSpeciesSelection(List<String> speciesIds, com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)`
    `void` | `changeGisById(List<String> ids, com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)`
    `void` | `changeGisByType(String type, com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)`
    `void` | `clearEnvelopeCustomization(String id, com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)`
    `void` | `clearSpeciesFilter(com.google.gwt.user.client.rpc.AsyncCallback<Msg> result)`
    `void` | `createObjectsBySelection(ClientObjectType type, List<String> ids, String title, com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)`
    `void` | `filterSubmitted(String parameter, String value, com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)`
    `void` | `getImportProgress(com.google.gwt.user.client.rpc.AsyncCallback<Integer> callback)`
    `void` | `getStats(com.google.gwt.user.client.rpc.AsyncCallback<SettingsDescriptor> callback)`
    `void` | `removeObject(String title, ClientObjectType type, com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)`
    `void` | `removeSelectionFromBasket(String title, List<String> speciesIds, com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)`
    `void` | `setEnvelopeCustomization(String id, Map<SpeciesFields,Float> perturbations, com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)`
    `void` | `setSource(int id, ClientResourceType type, com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)`
    `void` | `setSpeciesFilter(List<ClientFilter> Filter, String filterSummary, com.google.gwt.user.client.rpc.AsyncCallback<Msg> result)`
    `void` | `updateObject(String oldTitle, String title, ClientObjectType type, String bBox, Float threshold, Boolean gis, com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)`

- - ### Method Detail

    - #### setSpeciesFilter

          void setSpeciesFilter(List<ClientFilter> Filter,
                              String filterSummary,
                              com.google.gwt.user.client.rpc.AsyncCallback<Msg> result)

    - #### clearSpeciesFilter

          void clearSpeciesFilter(com.google.gwt.user.client.rpc.AsyncCallback<Msg> result)

    - #### addToSpeciesSelection

          void addToSpeciesSelection(List<String> speciesIds,
                                   com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)

    - #### addAllFilteredSpecies

          void addAllFilteredSpecies(int totalCount,
                                   String sortColumn,
                                   String sortDir,
                                   com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)

    - #### addToObjectBasket

          void addToObjectBasket(List<String> speciesIds,
                               String objTitle,
                               com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)

    - #### setEnvelopeCustomization

          void setEnvelopeCustomization(String id,
                                      Map<SpeciesFields,Float> perturbations,
                                      com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)

    - #### removeObject

          void removeObject(String title,
                          ClientObjectType type,
                          com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)

    - #### filterSubmitted

          void filterSubmitted(String parameter,
                             String value,
                             com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)

    - #### createObjectsBySelection

          void createObjectsBySelection(ClientObjectType type,
                                      List<String> ids,
                                      String title,
                                      com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)

    - #### updateObject

          void updateObject(String oldTitle,
                          String title,
                          ClientObjectType type,
                          String bBox,
                          Float threshold,
                          Boolean gis,
                          com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)

    - #### getStats

          void getStats(com.google.gwt.user.client.rpc.AsyncCallback<SettingsDescriptor> callback)

    - #### changeGisById

          void changeGisById(List<String> ids,
                           com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)

    - #### changeGisByType

          void changeGisByType(String type,
                             com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)

    - #### setSource

          void setSource(int id,
                       ClientResourceType type,
                       com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)

    - #### removeSelectionFromBasket

          void removeSelectionFromBasket(String title,
                                       List<String> speciesIds,
                                       com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)

    - #### clearEnvelopeCustomization

          void clearEnvelopeCustomization(String id,
                                        com.google.gwt.user.client.rpc.AsyncCallback<Msg> callback)

    - #### getImportProgress

          void getImportProgress(com.google.gwt.user.client.rpc.AsyncCallback<Integer> callback)

Copyright © 2014. All Rights Reserved.